# PSF-LoginServer - master - net.psforever.util.GameConfig
PSF - LoginServer - master - net.psforever.util.GameConfig
Keywords: PSF LoginServer master net.psforever.util.GameConfig

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package util
  Definition Classes
    psforever
- AdminConfig
- AntiCheatConfig
- AppConfig
- Config
- Database
- DatabaseConfig
- DefinitionUtil
- DevelopmentConfig
- DiffieHellman
- GameConfig
- HartConfig
- KamonConfig
- LoginConfig
- Md5Mac
- MiddlewareConfig
- NetSimConfig
- NetworkConfig
- NewAvatar
- PointOfInterest
- SentryConfig
- SessionConfig
- WorldConfig

c

net.psforever.util

# GameConfig

###

#### case class GameConfig(instantActionAms: Boolean, amenityAutorepairRate: Float, amenityAutorepairDrainRate: Float, bepRate: Double, cepRate: Double, newAvatar: NewAvatar, hart: HartConfig, sharedMaxCooldown: Boolean, baseCertifications: Seq[Certification]) extends Product with Serializable

Source
  Config.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GameConfig
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new GameConfig(instantActionAms: Boolean, amenityAutorepairRate: Float, amenityAutorepairDrainRate: Float, bepRate: Double, cepRate: Double, newAvatar: NewAvatar, hart: HartConfig, sharedMaxCooldown: Boolean, baseCertifications: Seq[Certification])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val amenityAutorepairDrainRate: Float
5.  val amenityAutorepairRate: Float
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val baseCertifications: Seq[Certification]
8.  val bepRate: Double
9.  val cepRate: Double
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val hart: HartConfig
15.  val instantActionAms: Boolean
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  val newAvatar: NewAvatar
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  val sharedMaxCooldown: Boolean
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped